from .tictactoe import TicTacToe
from .engine import Engine

def simulate_game():
    newgame = TicTacToe(m=5, n=5, k=2)
    
    while not newgame.ended:
        resp = Engine.response(newgame)
        print(f'Next move is {resp} by {newgame.turn}')
        print(newgame)
        newgame.move(*resp)
        print(newgame)
        print('================')
        
    print(f'winner: {newgame.winner}, draw: {newgame.draw}\n')


if __name__ == '__main__':
    simulate_game()